Subject: bug#74459: closed (Re: [bug#74459] comments)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Dec 2024 11:08:03 +0000

Your bug report

#74459: [PATCH 0/8] Linter improvements (eliminate false positives)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74459: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74459
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74459] comments
From: Ludovic Courtès <[email-masked]>
To: Gabriel Wicki <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Dec 2024 12:07:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Gabriel Wicki <[email-masked]> skribis:

> Thanks for your review, Ludo'!  I've addressed your concern and came up
> with an even more readable solution -- I hope you agree.

Yes, that’s nice.  Applied, thanks!

I removed “guix:” from commit subject lines and also followed up with a
commit that pre-compiles the regexp instead of recompiling it every time
via ‘string-match’ (it can make a difference when linting a large number
of packages as is the case in the Data Service for example).

Thanks!

Ludo’.

Subject: [PATCH 0/8] Linter improvements (eliminate false positives)
From: Gabriel Wicki <[email-masked]>
To: [email-masked]
Date: Thu, 21 Nov 2024 13:40:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there!

In my recent venture where i linted each and every packages' description and synopsis, I found quite a bunch of false positives.  These usually don't hurt when we lint single packages, but are quite annoying when linting all of them.  Hence I summed my findings up in some code improvements.

Have a nice week!

gabber

Gabriel Wicki (8):
  guix: lint: Fix indentation.
  guix: lint: Refine description start check logic.
  guix: lint: Allow texinfo markup at beginning of description.
  guix: lint: Allow texinfo markup at beginning of synopsis.
  guix: lint: Prevent false positives in description typo check.
  guix: lint: Ignore initials from double space check.
  guix: lint: More abbreviations.
  gnu: Move depending packages next to each other.

 gnu/packages/cpp.scm | 50 +++++++++++++++++------------------
 guix/lint.scm        | 56 +++++++++++++++++++++++++--------------
 tests/lint.scm       | 62 +++++++++++++++++++++++++++++++++++++-------
 3 files changed, 114 insertions(+), 54 deletions(-)

base-commit: 33665c52c4670bc3b4d337c89ac9cc6c4c69b26f
-- 
2.46.0